#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true

  QSL\AdvancedSecurity\Core\IPLookup\Geoplugin:
    public: true

  QSL\AdvancedSecurity\Core\IPLookup\Freegeoip:
    public: true

  QSL\AdvancedSecurity\EntityCallback\AccessFilterCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: QSL\AdvancedSecurity\Model\AccessFilter}
      - {name: doctrine.orm.entity_listener, event: preRemove, entity: QSL\AdvancedSecurity\Model\AccessFilter}
      - {name: doctrine.orm.entity_listener, event: preUpdate, entity: QSL\AdvancedSecurity\Model\AccessFilter}

  QSL\AdvancedSecurity\EntityCallback\ConfigCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: preUpdate, entity: XLite\Model\Config}

  QSL\AdvancedSecurity\EntityCallback\OrderCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: XLite\Model\Order}
      - {name: doctrine.orm.entity_listener, event: preUpdate, entity: XLite\Model\Order}
